#include <string>
#include <iostream>
#include <sstream>
#include <allegro.h>
#include "Bitmap.h"
using namespace std;

#ifndef STUFF_H_INCLUDED
#define STUFF_H_INCLUDED

volatile extern bool close_button_pressed;

typedef uint8_t byte;

const int RET_NONE = -1;
const int RET_OK = 0;
const int RET_QUIT = 1;
const int RET_CANCEL = 2;

template<class T> std::string toString(T t) {
    static std::ostringstream o;
    o.str(""); o << t; return o.str();
}

const int PAL_GRAY = 0;
const int PAL_GREEN = 32;
const int PAL_BROWN = 64;
const int PAL_BLUE = 96;
const int PAL_RED = 128;
const int PAL_YELLOW = 160;
const int PAL_PINK = 192;
const int PAL_AQUA = 224;

#endif // STUFF_H_INCLUDED
